(* D64DUMP.PAS -- simple sector viewer
** Copyright (C) 1995,1996  Jochen Metzinger
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2, or (at your option)
** any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*)

PROGRAM D64dump;

USES errors, D64, dump;

VAR tr: ShortInt;
 sk: BYTE;
 block: D64_BLOCK;

BEGIN
 d64_open(ParamStr(1),FALSE);
 block[0] := 18;
 block[1] :=  0;
 REPEAT
  Write(' TR SK :');
  Read(tr);
  IF tr < 0 THEN
   BEGIN (* exit *)
    d64_close;
    HALT(0);
   END
  ELSE IF tr = 0 THEN
   BEGIN (* next *)
    ReadLn;
    tr := block[0];
    sk := block[1];
   END
  ELSE
   ReadLn(sk);
  d64_read(tr,sk,block);
  IF is_err
   THEN err_recover
   ELSE DumpMem(@block,256,0)
 UNTIL FALSE;
 d64_close;
END. (* D64dump *)